'****************************************************************
'*  Name    : SWCBoardVer3.inc                                  *
'*  Author  : John Barrat                                       *
'*  Notice  : Copyright (c) 2004  John Barrat                   *
'*          : All Rights Reserved                               *
'*  Date    : 09/11/2004                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************

Device = 18F252
#DEFINE SPCV3

XTAL = 20

LCD_DTPIN = PORTA.0	
LCD_RSPIN = PORTA.5
LCD_ENPIN = PORTA.4
LCD_INTERFACE = 4	' 4-bit Interface
LCD_LINES = 2
LCD_TYPE = 0

HBUS_BITRATE = 400
SDA_PIN = PORTC.4
SCL_PIN = PORTC.3
 
HSERIAL_BAUD =  115200		' Set baud rate to 115,200
HSERIAL_RCSTA = %10010000   ' Enable serial port and continuous receive
HSERIAL_TXSTA = %00100100   ' Enable transmit and asynchronous mode 
        
' Keypad Port Assigments - used by "Menu_P+.inc"
Symbol KeyIn   PORTB     ' KeyPad Input Port - For Matrix or non- matrix keys
Symbol KeyMask $F0       ' Mask for Key input - 1 indicate key positions
Symbol ForceConfig %10100000  ' Menu & Set button - Set to 0 for button pressed

' Key pad Mapping to Port Pin Numbers - used by Menu_P+.inc
Symbol MenuB 4           ' Menu Button
Symbol IncB  5           ' Inc Button
Symbol DecB  7           ' Dec Button
Symbol SetB  6           ' Set Button

' One-Wire Pin 			 - used by ONE_WIRE_INC.pbp
Symbol OWPin   PORTC.0   ' Pin used for OW port.

' Speaker 				 - Used by MENU_INC.pbp
Symbol Speaker PORTC.5	 ' Speaker Output

' Clock Square Wave Input- Used by RTC_INC.pbp
Symbol SQWpin  PORTB.0    ' Square wave input set to Interrupt pin

' Heat & Pump Controls
Symbol HeatDem PORTB.1	  ' Heat demand Relay and Indicator
Symbol PumpDem PORTB.2    ' Pump demand Relay and Indicator

ADCON1 = %00000110
TRISA =  %00000000
TRISB =  %11111001
TRISC =  %10001001
INTCON2.7 = 0             ' Enable Weak Pullups

ALL_DIGITAL = TRUE	' Set PORTA to all digital

        


